'' Debug_Lcd Test
'' -- Jon Williams
'' -- 26 MAR 2006


CON

  _clkmode      = xtal1 + pll16x                        ' use crystal x 16
  _xinfreq      = 5_000_000


OBJ

  debug : "debug_lcd"


PUB main | val

  if debug.start(0, 19200, 4)
    debug.cursor(0)                                     ' cursor off
    debug.backlight(1)                                  ' backlight on (if available)
    debug.custom(0, @Diamond)                           ' create custom character 0
    debug.cls
    debug.str(string("LCD DEBUG", 13))
    debug.putc(0)
    debug.str(string(" Dec", 13))
    debug.putc(0)
    debug.str(string(" Hex", 13)) 
    debug.putc(0)
    debug.str(string(" Bin", 13)) 

    repeat
      repeat val from 0 to 255
        debug.gotoxy(6, 1)
        debug.decf(val, 8)
        debug.gotoxy(12, 2)
        debug.hex(val, 2)
        debug.gotoxy(6, 3)
        debug.bin(val, 8)
        waitcnt(cnt + clkfreq / 4)
        
        
DAT

  Diamond     byte      $00, $04, $0E, $1F, $0E, $04, $00, $00